Bug 768176 - CVE-2011-4612 icecast2: Newline injection in error.log [epel-5]
CVE-2011-4612 icecast2: Newline injection in error.log [epel-5]
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: icecast (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4612
  Show dependency treegraph
 
Reported: 2011-12-15 17:44 EST by Vincent Danen
Modified: 2013-01-02 14:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:09:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-12-15 17:44:45 EST
epel-5 tracking bug for icecast: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]
Comment 1 Mike A. Harris 2012-06-11 17:46:20 EDT
"This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs."

Except... well... this bug is public.  And judging from the history on the bug report, it was filed public.

Correct me if I'm wrong please, but it appears there is a 6 month old public security issue in icecast binaries in EPEL, which have no official rpm updates?

icecast 2.3.3 was just released that fixes this issue, please issue a security update soon.

Thanks in advance.
Comment 2 Vincent Danen 2012-06-15 14:25:29 EDT
Bad templating from our tool since this bug is supposed to be public.

Andreas, are you still maintaining icecast?  The new version was released on Monday that corrects this flaw.  Please schedule updates for this in Fedora and EPEL.

Thanks!
Comment 3 Fedora Update System 2012-10-15 10:43:08 EDT
icecast-2.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.fc18
Comment 4 Fedora Update System 2012-10-15 12:02:07 EDT
icecast-2.3.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.el6
Comment 5 Fedora Update System 2012-10-15 12:28:41 EDT
icecast-2.3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.el5
Comment 6 Fedora Update System 2012-10-15 12:42:26 EDT
icecast-2.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.fc17
Comment 7 Fedora Update System 2012-10-15 13:37:35 EDT
Package icecast-2.3.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icecast-2.3.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16130/icecast-2.3.3-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 10:09:15 EST
icecast-2.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-02 14:07:41 EST
icecast-2.3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-02 14:10:50 EST
icecast-2.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.